A simple, lightweight distribution for 32-bit CPUs

You've reached the website for Arch Linux 32, the community maintained continuation of 32-bit support for Arch Linux, a lightweight and flexible Linux® distribution that tries to Keep It Simple.

Currently we have official packages optimized for the i686 and pentium4 architectures. Also most(ly) non-graphical packages are available for i486, too. Have a look at the required cpu flags to decide which architecture is the right one for you. Most packages from Arch Linux's community-operated package repository are also compatible with Arch Linux 32.

Instructions for the transition from Arch Linux to Arch Linux 32 can be found here.

Installation media which boot on i686 can be found here.

Join us on #archlinux32 IRC channel on Libera, check out our forums or subscribe to the mailing list to get your feet wet. Also glance through the Arch Wiki if you want to learn more about upstream Arch.

Latest News

RSS Feed RSS Feed

CA certificates file is empty

2022-05-12

This affects pacman updates from HTTPS mirrors and basically any other SSL request.

Update to the newest p11-kit package (0.24.1-1.0) and excute `update-ca-trust` as root
(if your CA certificate file `/etc/ca-certificates/extracted/tls-ca-bundle.pem` is empty).

Undone replacement of pipewire-media-session with wireplumber

2022-05-12

Two days ago the wireplumber package was made to replace pipewire-media-session as the latter session manager for PipeWire is considered dead upstream and will see no more releases. Unfortunately, this step was premature.

Our pipewire audio packages (pipewire-alsa, pipewire-jack and pipewire-pulse) ship configuration that prompt media-session to activate PipeWire's audio features. When these packages are not installed and the configuration is missing, PipeWire can be used for screen recording without interfering with ALSA or PulseAudio.

WirePlumber disregards this mechanism and always configures PipeWire to grab audio devices, meaning users of PulseAudio or bare ALSA experience broken audio.

The replacement has been reverted while we attempt to look for a better solution switching to WirePlumber. If you are currently not using PipeWire for audio and wireplumber got installed on your system, please reinstall pipewire-media-session and reboot to restore audio functionality.

pacman -Syu pipewire-media-session

QEMU >= 7.0.0 changes split package setup

2022-05-09

With the update to qemu 7.0.0 the package has been turned into a more fine grained split package utilizing meta packages.

  • The qemu package is now virtually provided by the meta packages qemu-base, qemu-desktop and qemu-full.
  • The functionality of qemu prior to 7.0.0 is replaced by qemu-desktop
  • The functionality of qemu-headless is replaced by qemu-base
  • The functionality of qemu-arch-extra and qemu-headless-arch-extra is replaced by qemu-emulators-full
  • The meta package qemu-full provides all QEMU related packages (excluding qemu-guest-agent)

Keycloak 17.0.1-2 update requires manual reconfiguration

2022-03-25

The keycloak package prior to version 17.0.1-2 was running with WildFly server. Since upstream officially moved to Quarkus distribution, Arch Linux follows this approach. This means some manual intervention is required for the upgrade.

The configuration needs to be adjusted from the old .xml format to the new /etc/keycloak/keycloak.conf.

Prior to the upgrade, stop the keycloak service, upgrade the package and migrate the configuration before starting:

systemctl stop keycloak.service
pacman -Syu keycloak
# migrate configuration /etc/keycloak/keycloak.conf
systemctl start keycloak.service

See Keycloak migration docs and Keycloak Quarkus server docs

Older News

2022-02-23
Arch Linux Leader Election Results
2022-02-02
Debug packages and debuginfod
2022-02-01
ISO 2022.02.01 available
2022-01-21
linux-firmware 20220119.0c6a7b3-2 requires kernel >=5.3 and package splitting
2022-01-07
error while loading shared libraries: libicui18n.so.68
2022-01-07
nss 3.73 crashes firefox
2022-01-07
Warning about upgrading to zstd 1.5.1
2021-12-27
libxml2>=2.9.12-6 update may require manual intervention
2021-10-25
libffi.so.7: cannot open shared object file: No such file or directory
2021-06-15
pacman upgrade brings pentium4 automatically for via processors
2021-06-08
Sorting out old password hashes
2021-05-24
Move of official IRC channels to libera.chat
2021-04-01
Installation medium with installer
2021-02-09
glibc 2.33 ISA mitigation and disabled libseccomp
2020-11-11
dhcpcd may(?) fail to get ipv4 address
2020-11-08
plasma-workspace needs manual intervention
2020-09-01
Watch out for missing /usr/lib/libcrypt.so.2
2020-08-22
PAM issues
2020-02-22
Update to glibc 2.31 works now, but requires libseccomp 2.4.1-4.0
2020-02-14
Recovered forum posts
2020-01-25
ca-certificates-mozilla update breaking basic TLS functionality

Recent Updates (more)

RSS Feed
jupyter-nbclient 0.6.6-1.0 i686
libre 2.5.0-1.0 i686
xonotic-data 0.8.5-1.0 i686
interception-dual-function-keys 1.5.0-1.0 i686
libtpms 0.9.5-1.0 i686
libsemigroups 2.2.0-1.0 i686
qt5-multimedia 5.15.5+kde+r1-1.0 pentium4
qt5-speech 5.15.5+kde+r1-1.0 pentium4
audacious-plugins 4.1-6.4 pentium4
plasma-pa 5.25.2-1.0 pentium4
steam-native-runtime 1.0.0.70-3.1 pentium4
efl 1.26.2-1.1 pentium4
audacious 4.1-3.2 pentium4
libsemigroups 2.2.0-1.0 pentium4
gnome-bluetooth-3.0 42.1-1.1 pentium4